package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Fale01;
import com.brilliance.isc.vo.model.Fale01Vo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface Fale01Mapper {

    int insert(Fale01 record);

    int insertSelective(Fale01 record);

    int updateByPrimaryKeySelective(Fale01 record);

    int updateByPrimaryKey(Fale01 record);

    int deleteByPrimaryKey(Fale01 record);

    int deleteByIds(Collection<Object> collection);

    Fale01 selectByPrimaryKey(Fale01 record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Fale01> dyncRead(Map<String, Object> dyncMap);

    Fale01 selectByInr(@Param("inr") String inr);

    int deleteByTrninr(@Param("trninr") String trninr);

    List<Fale01> select(Fale01Vo fale01Vo);
}